clear
set mem 650m
set more 1
cap log close
log using "E:\nana\cepal2_1.log", replace
/*1985*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad85.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad85.dta", clear
keep if v100==3
ren v805 idade
ren v9991 peso
ren v10 uf
ren v303 sexo
replace sexo=2 if sexo==1
replace sexo=4 if sexo==3
keep v101 uf v3 v5 peso sexo v305 v306 v307 idade educa v501 v502 v505 v506 v537 v508 v510 v511 v513 v578 v579 v601 v5040 v5100 v5030 v5040 v9981
gen ano=1985
egen domic=group(v101 uf), mi
egen fam=group(v101 uf v307), mi
/* DESOCUPACAO */
gen desocup=1 if v501==3
replace desocup=1 if v501>3&v513==1
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v501>0&v501<3
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
recast byte tpft ocup desocup
tab tpft
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=1 if v3<4
replace urbano=0 if v3>4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if (uf>10&uf<24)|(uf>40&uf<45)
replace se =0 if se==.
gen ne=1 if (uf>50&uf<60)
replace ne =0 if ne==.
gen s=1 if (uf>30&uf<35)
replace s=0 if s==.
gen n=1 if (uf>70&uf<77)
replace n=0 if n==.
gen co=1 if (uf>80&uf<84)|uf==61
replace co=0 if co==.
recast byte s se n ne co
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if v305<6, by(domic)
drop cri
/*BRANCO*/
*gen bco=0
*replace bco=1 if cor==2|cor==8
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v5==1
/*INFORMAL*/
gen informal=0
replace informal=1 if v505==0
replace informal=1 if v505==1&v506==4
replace informal=1 if v505==2&v506==4
replace informal=1 if v505==3&v506==4
replace informal=1 if v505==4&v506==4
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==7&v511==3
replace informal=1 if v505==8&v511==3
/*CASADOS*/
gen chefe=0
replace chefe=1 if v306==1
gen conjuge=0
replace conjuge=1 if v306==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v5040==1
replace ativ=2 if v5040>1&v5040<5
replace ativ=3 if v5040>4
/*ESTADOS*/
replace uf=11 if uf==12
replace uf=21 if uf==22|uf==23
replace uf=33 if uf==34
replace uf=41 if uf==42
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25

/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
*by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
*by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace v601=. if v601==999999999
by uf: egen w_geral=wtmean(v601) if idade>14&v601>0&v601~=., weight(peso)
by uf: egen w_agro=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(v601) if idade>14&v601>0&v601~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(v601) if idade>14&v601>0&v601~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(v601) if idade>14&v601>0&v601~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(v601) if idade>14&v601>0&v601~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(v601) if idade>14&v601>0&v601~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==0, weight(peso)
*by uf: egen w_branco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==1, weight(peso)
*by uf: egen w_nbranco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==1, weight(peso)
/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
*by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
*by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
*by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if v305==1, weight(v9981)
by uf: egen cri2=wtmean(n_cri2) if v305==1, weight(v9981)
by uf: egen cri3=wtmean(n_cri3) if v305==1, weight(v9981)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
*by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
*by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
*by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
*by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(v9981)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(v9981)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(v9981)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(v9981)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(v9981)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(v9981)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(v9981)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(v9981)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(v9981)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(v9981)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(v9981)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(v9981)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
*by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)

/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal85.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal85.dta", replace
clear

/*1986*/

use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad86.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad86.dta", clear
keep if V100==3
ren V805 idade
ren V9991 peso
ren V10 uf
ren V303 sexo
ren V2201 cor
replace sexo=2 if sexo==1
replace sexo=4 if sexo==3
keep cor V101 uf V3 V5 peso sexo V305 V306 V307 idade educa V501 V502 V505 V506 V537 V508 V510 V511 V513 V578 V579 V601 V5040 V5100 V5030 V5040 V9981
gen ano=1986
egen domic=group(V101 uf), mi
egen fam=group(V101 uf V307), mi
/* DESOCUPACAO */
gen desocup=1 if V501==3
replace desocup=1 if V501>3&V513==1
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if V501>0&V501<3
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
recast byte tpft ocup desocup
tab tpft
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=1 if V3<4
replace urbano=0 if V3>4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if (uf>10&uf<24)|(uf>40&uf<45)
replace se =0 if se==.
gen ne=1 if (uf>50&uf<60)
replace ne =0 if ne==.
gen s=1 if (uf>30&uf<35)
replace s=0 if s==.
gen n=1 if (uf>70&uf<77)
replace n=0 if n==.
gen co=1 if (uf>80&uf<84)|uf==61
replace co=0 if co==.
recast byte s se n ne co
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if V305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if V305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if V305<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==8
/*METROPOLITANA*/
gen metro=0
replace metro=1 if V5==1

/*INFORMAL*/
gen informal=0
replace informal=1 if V505==0
replace informal=1 if V505==1&V506==4
replace informal=1 if V505==2&V506==4
replace informal=1 if V505==3&V506==4
replace informal=1 if V505==4&V506==4
replace informal=1 if V505==5&V511==3
replace informal=1 if V505==5&V511==3
replace informal=1 if V505==6&V511==3
replace informal=1 if V505==6&V511==3
replace informal=1 if V505==7&V511==3
replace informal=1 if V505==8&V511==3
/*CASADOS*/
gen chefe=0
replace chefe=1 if V306==1
gen conjuge=0
replace conjuge=1 if V306==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if V5040==1
replace ativ=2 if V5040>1&V5040<5
replace ativ=3 if V5040>4
/*ESTADOS*/
replace uf=11 if uf==12
replace uf=21 if uf==22|uf==23|uf==24
replace uf=33 if uf==34
replace uf=41 if uf==42
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace V601=. if V601==999999999
by uf: egen w_geral=wtmean(V601) if idade>14&V601>0&V601~=., weight(peso)
by uf: egen w_agro=wtmean(V601) if idade>14&V601>0&V601~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(V601) if idade>14&V601>0&V601~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(V601) if idade>14&V601>0&V601~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(V601) if idade>24&V601>0&V601~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(V601) if idade>24&V601>0&V601~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(V601) if idade>14&V601>0&V601~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(V601) if idade>14&V601>0&V601~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(V601) if idade>14&V601>0&V601~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(V601) if idade>14&V601>0&V601~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(V601) if idade>14&V601>0&V601~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(V601) if idade>14&V601>0&V601~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(V601) if idade>14&V601>0&V601~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(V601) if idade>14&V601>0&V601~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(V601) if idade>14&V601>0&V601~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(V601) if idade>14&V601>0&V601~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(V601) if idade>14&V601>0&V601~=.&urbano==1, weight(peso)
/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if V305==1, weight(V9981)
by uf: egen cri2=wtmean(n_cri2) if V305==1, weight(V9981)
by uf: egen cri3=wtmean(n_cri3) if V305==1, weight(V9981)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal86.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal86.dta", replace

/*1987*/

use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad87.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad87.dta", clear
keep if v100==3
ren v805 idade
ren v9991 peso
ren v10 uf
ren v303 sexo
ren v304 cor
replace sexo=2 if sexo==1
replace sexo=4 if sexo==3
keep cor v101 uf v3 v5 peso sexo v305 v306 v307 idade educa v501 v502 v505 v506 v537 v508 v510 v511 v513 v578 v579 v601 v5040 v5100 v5030 v5040 v9981
gen ano=1987
egen domic=group(v101 uf), mi
egen fam=group(v101 uf v307), mi
/* DESOCUPACAO */
gen desocup=1 if v501==3
replace desocup=1 if v501>3&v513==1
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v501>0&v501<3
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
recast byte tpft ocup desocup
tab tpft
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
gen urbano=1 if v3<4
/* URBANO*/
replace urbano=0 if v3>4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if (uf>10&uf<24)|(uf>40&uf<45)
replace se =0 if se==.
gen ne=1 if (uf>50&uf<60)
replace ne =0 if ne==.
gen s=1 if (uf>30&uf<35)
replace s=0 if s==.
gen n=1 if (uf>70&uf<77)
replace n=0 if n==.
gen co=1 if (uf>80&uf<84)|uf==61
replace co=0 if co==.
recast byte s se n ne co
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if v305<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==8
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v5==1
/*INFORMAL*/
gen informal=0
replace informal=1 if v505==0
replace informal=1 if v505==1&v506==4
replace informal=1 if v505==2&v506==4
replace informal=1 if v505==3&v506==4
replace informal=1 if v505==4&v506==4
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==7&v511==3
replace informal=1 if v505==8&v511==3
/*CASADOS*/
gen chefe=0
replace chefe=1 if v306==1
gen conjuge=0
replace conjuge=1 if v306==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v5040==1
replace ativ=2 if v5040>1&v5040<5
replace ativ=3 if v5040>4
/*ESTADOS*/
replace uf=11 if (uf>11&uf<19)
replace uf=21 if (uf>21&uf<30)
replace uf=31 if uf==30
replace uf=33 if uf==34|uf==35
replace uf=41 if uf==42
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>14&educa<5&sexo==2
replace catedu2h=1 if idade>14&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>14&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>14&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>14&educa<5&sexo==4
replace catedu2m=1 if idade>14&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>14&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>14&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace v601=. if v601==999999999
by uf: egen w_geral=wtmean(v601) if idade>14&v601>0&v601~=., weight(peso)
by uf: egen w_agro=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(v601) if idade>14&v601>0&v601~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(v601) if idade>14&v601>0&v601~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(v601) if idade>14&v601>0&v601~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(v601) if idade>14&v601>0&v601~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(v601) if idade>14&v601>0&v601~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==1, weight(peso)
/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if v305==1, weight(v9981)
by uf: egen cri2=wtmean(n_cri2) if v305==1, weight(v9981)
by uf: egen cri3=wtmean(n_cri3) if v305==1, weight(v9981)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal87.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal87.dta", replace
clear

/*1988*/

use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad88.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad88.dta", clear
keep if v100==3
ren v805 idade
ren v9991 peso
ren v10 uf
ren v303 sexo
ren v304 cor
replace sexo=2 if sexo==1
replace sexo=4 if sexo==3
keep cor v101 uf v3 v5 peso sexo v305 v306 v307 idade educa v501 v502 v505 v506 v537 v508 v510 v511 v513 v578 v579 v601 v5040 v5100 v5030 v5040 v9981
egen domic=group(v101 uf), mi
egen fam=group(v101 uf v307), mi
gen ano=1988
/* DESOCUPACAO */
gen desocup=1 if v501==3
replace desocup=1 if v501>3&v513==1
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v501>0&v501<3
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
recast byte tpft ocup desocup
tab tpft
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
gen urbano=1 if v3<4
/* URBANO*/
replace urbano=0 if v3>4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if (uf>10&uf<24)|(uf>40&uf<45)
replace se =0 if se==.
gen ne=1 if (uf>50&uf<60)
replace ne =0 if ne==.
gen s=1 if (uf>30&uf<35)
replace s=0 if s==.
gen n=1 if (uf>70&uf<77)
replace n=0 if n==.
gen co=1 if (uf>80&uf<84)|uf==61
replace co=0 if co==.
recast byte s se n ne co
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if v305<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==8
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v5==1

/*INFORMAL*/
gen informal=0
replace informal=1 if v505==0
replace informal=1 if v505==1&v506==4
replace informal=1 if v505==2&v506==4
replace informal=1 if v505==3&v506==4
replace informal=1 if v505==4&v506==4
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==7&v511==3
replace informal=1 if v505==8&v511==3
/*CASADOS*/
gen chefe=0
replace chefe=1 if v306==1
gen conjuge=0
replace conjuge=1 if v306==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v5040==1
replace ativ=2 if v5040>1&v5040<5
replace ativ=3 if v5040>4
/*ESTADOS*/
replace uf=11 if (uf>11&uf<19)
replace uf=21 if (uf>21&uf<30)
replace uf=31 if uf==30
replace uf=33 if uf==34|uf==35
replace uf=41 if uf==42
replace uf=59 if uf==60
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>14&educa<5&sexo==2
replace catedu2h=1 if idade>14&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>14&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>14&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>14&educa<5&sexo==4
replace catedu2m=1 if idade>14&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>14&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>14&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace v601=. if v601==999999999
by uf: egen w_geral=wtmean(v601) if idade>14&v601>0&v601~=., weight(peso)
by uf: egen w_agro=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(v601) if idade>14&v601>0&v601~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(v601) if idade>14&v601>0&v601~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(v601) if idade>14&v601>0&v601~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(v601) if idade>14&v601>0&v601~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(v601) if idade>14&v601>0&v601~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==1, weight(peso)
/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if v305==1, weight(v9981)
by uf: egen cri2=wtmean(n_cri2) if v305==1, weight(v9981)
by uf: egen cri3=wtmean(n_cri3) if v305==1, weight(v9981)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal88.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal88.dta", replace
clear

/*1989*/

use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad89.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad89.dta", clear
keep if v100==3
ren v805 idade
ren v9991 peso
ren v10 uf
ren v303 sexo
ren v304 cor
replace sexo=2 if sexo==1
replace sexo=4 if sexo==3
keep cor v101 uf v3 v5 peso sexo v305 v306 v307 idade educa v501 v502 v505 v506 v537 v508 v510 v511 v513 v578 v579 v601 v5040 v5100 v5030 v5040 v9981
gen ano=1989
egen domic=group(v101 uf), mi
egen fam=group(v101 uf v307), mi
/* DESOCUPACAO */
gen desocup=1 if v501==3
replace desocup=1 if v501>3&v513==1
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v501>0&v501<3
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
recast byte tpft ocup desocup
tab tpft
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
gen urbano=1 if v3<4
/* URBANO*/
replace urbano=0 if v3>4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if (uf>10&uf<24)|(uf>40&uf<45)
replace se =0 if se==.
gen ne=1 if (uf>50&uf<60)
replace ne =0 if ne==.
gen s=1 if (uf>30&uf<35)
replace s=0 if s==.
gen n=1 if (uf>70&uf<77)
replace n=0 if n==.
gen co=1 if (uf>80&uf<84)|uf==61
replace co=0 if co==.
recast byte s se n ne co
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if v305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if v305<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==8
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v5==1

/*INFORMAL*/
gen informal=0
replace informal=1 if v505==0
replace informal=1 if v505==1&v506==4
replace informal=1 if v505==2&v506==4
replace informal=1 if v505==3&v506==4
replace informal=1 if v505==4&v506==4
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==5&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==6&v511==3
replace informal=1 if v505==7&v511==3
replace informal=1 if v505==8&v511==3
/*CASADOS*/
gen chefe=0
replace chefe=1 if v306==1
gen conjuge=0
replace conjuge=1 if v306==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v5040==1
replace ativ=2 if v5040>1&v5040<5
replace ativ=3 if v5040>4
/*ESTADOS*/
replace uf=11 if (uf>11&uf<19)
replace uf=21 if (uf>19&uf<30)
replace uf=31 if uf==30|uf==37
replace uf=33 if uf==34|uf==35
replace uf=41 if uf==42
replace uf=59 if uf==60
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>14&educa<5&sexo==2
replace catedu2h=1 if idade>14&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>14&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>14&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>14&educa<5&sexo==4
replace catedu2m=1 if idade>14&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>14&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>14&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace v601=. if v601==999999999
by uf: egen w_geral=wtmean(v601) if idade>14&v601>0&v601~=., weight(peso)
by uf: egen w_agro=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(v601) if idade>14&v601>0&v601~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(v601) if idade>24&v601>0&v601~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(v601) if idade>14&v601>0&v601~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(v601) if idade>14&v601>0&v601~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(v601) if idade>14&v601>0&v601~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(v601) if idade>14&v601>0&v601~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(v601) if idade>14&v601>0&v601~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(v601) if idade>14&v601>0&v601~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(v601) if idade>14&v601>0&v601~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(v601) if idade>14&v601>0&v601~=.&urbano==1, weight(peso)
/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if v305==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if v305==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if v305==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal89.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal89.dta", replace
clear

/*1990*/

use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad90.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad90.dta", clear
keep if V100==3
ren V805 idade
ren V3091 peso
ren V10 uf
ren V303 sexo
ren V304 cor
replace sexo=2 if sexo==1
replace sexo=4 if sexo==3
keep cor V102 V103 uf V3 V5 peso sexo V305 V306 V307 idade educa V501 V502 V505 V506 V537 V508 V510 V511 V513 V578 V579 V601 V5040 V5100 V5030 V5040 
gen ano=1990
egen domic=group(V102 V103 uf), mi
egen fam=group(V102 V103 uf V307), mi
/* DESOCUPACAO */
gen desocup=1 if V501==3
replace desocup=1 if V501>3&V513==1
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if V501>0&V501<3
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
recast byte tpft ocup desocup
tab tpft
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
gen urbano=1 if V3<4
/* URBANO*/
replace urbano=0 if V3>4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if (uf>10&uf<24)|(uf>40&uf<45)
replace se =0 if se==.
gen ne=1 if (uf>50&uf<60)
replace ne =0 if ne==.
gen s=1 if (uf>30&uf<35)
replace s=0 if s==.
gen n=1 if (uf>70&uf<77)
replace n=0 if n==.
gen co=1 if (uf>80&uf<84)|uf==61
replace co=0 if co==.
recast byte s se n ne co
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if V305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if V305<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if V305<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==8
/*METROPOLITANA*/
gen metro=0
replace metro=1 if V5==1

/*INFORMAL*/
gen informal=0
replace informal=1 if V505==0
replace informal=1 if V505==1&V506==4
replace informal=1 if V505==2&V506==4
replace informal=1 if V505==3&V506==4
replace informal=1 if V505==4&V506==4
replace informal=1 if V505==5&V511==3
replace informal=1 if V505==5&V511==3
replace informal=1 if V505==6&V511==3
replace informal=1 if V505==6&V511==3
replace informal=1 if V505==7&V511==3
replace informal=1 if V505==8&V511==3
/*CASADOS*/
gen chefe=0
replace chefe=1 if V306==1
gen conjuge=0
replace conjuge=1 if V306==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if V5040==1
replace ativ=2 if V5040>1&V5040<5
replace ativ=3 if V5040>4
/*ESTADOS*/
replace uf=11 if uf>11&uf<19
replace uf=21 if uf>19&uf<30
replace uf=31 if uf==30|uf==37
replace uf=33 if uf==34|uf==35
replace uf=41 if uf==42
replace uf=59 if uf==60
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace V601=. if V601==999999999
by uf: egen w_geral=wtmean(V601) if idade>14&V601>0&V601~=., weight(peso)
by uf: egen w_agro=wtmean(V601) if idade>14&V601>0&V601~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(V601) if idade>14&V601>0&V601~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(V601) if idade>14&V601>0&V601~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(V601) if idade>24&V601>0&V601~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(V601) if idade>24&V601>0&V601~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(V601) if idade>14&V601>0&V601~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(V601) if idade>14&V601>0&V601~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(V601) if idade>14&V601>0&V601~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(V601) if idade>14&V601>0&V601~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(V601) if idade>14&V601>0&V601~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(V601) if idade>14&V601>0&V601~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(V601) if idade>14&V601>0&V601~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(V601) if idade>14&V601>0&V601~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(V601) if idade>14&V601>0&V601~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(V601) if idade>14&V601>0&V601~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(V601) if idade>14&V601>0&V601~=.&urbano==1, weight(peso)
/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if V305==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if V305==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if V305==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)

save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal90.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal90.dta", replace
clear

