clear
set mem 100m
set matsize 300
set more 1
cap log close
cd "C:\FEA\guilherme\projetos\nan\cepal"
u "dados_cepal2_1.dta", clear
/*ajuste de w para 2005*/
replace w_geral=w_geral*0.641560138 if ano==2005
replace w_agro=w_agro*0.641560138 if ano==2005
replace w_ind=w_ind*0.641560138 if ano==2005
replace w_serv=w_serv*0.641560138 if ano==2005
replace w_homem=w_homem*0.641560138 if ano==2005
replace w_mulher=w_mulher*0.641560138 if ano==2005
replace w_jovem=w_jovem*0.641560138 if ano==2005
replace w_educa1=w_educa1*0.641560138 if ano==2005
replace w_educa2=w_educa2*0.641560138 if ano==2005
replace w_educa3=w_educa3*0.641560138 if ano==2005
replace w_educa4=w_educa4*0.641560138 if ano==2005
replace w_informal=w_informal*0.641560138 if ano==2005
replace w_formal=w_formal*0.641560138 if ano==2005
replace w_rural=w_rural*0.641560138 if ano==2005
replace w_urbano=w_urbano*0.641560138 if ano==2005

egen ntot=sum(nd_geral), by(ano)
egen npib=sum(pib_total), by(ano)
gen lpib_total=ln(pib_total)
gen lpib_agro=ln(pib_agro)
gen lpib_serv=ln(pib_serv)
gen lpib_ind=ln(pib_ind)
gen ldesemp=ln(desemp)
gen lnd_geral=ln(nd_geral)
gen lnd_agro=ln(nd_agro)
gen lnd_ind=ln(nd_ind)
gen lnd_serv=ln(nd_serv)
gen lnd_homem=ln(nd_homem)
gen lnd_mulher=ln(nd_mulher)
gen lnd_jovem=ln(nd_jovem)
gen lnd_educa1=ln(nd_educa1)
gen lnd_educa2=ln(nd_educa2)
gen lnd_educa3=ln(nd_educa3)
gen lnd_educa4=ln(nd_educa4)
gen lnd_informal=ln(nd_informal)
gen lnd_formal=ln(nd_formal)
gen lnsh_geral=ln(nsh_geral)
gen lnsm_geral=ln(nsm_geral)
gen lnsj_geral=ln(nsj_geral)
gen lns_edu1=ln(ns_edu1)
gen lns_edu2=ln(ns_edu2)
gen lns_edu3=ln(ns_edu3)
gen lns_edu4=ln(ns_edu4)
gen lpop_m=ln(pop_m)
gen lpop_h=ln(pop_h)
gen lpop_j=ln(pop_j)
gen lw_geral=ln(w_geral)
gen lw_agro=ln(w_agro)
gen lw_ind=ln(w_ind)
gen lw_serv=ln(w_serv)
gen lw_homem=ln(w_homem)
gen lw_mulher=ln(w_mulher)
gen lw_jovem=ln(w_jovem)
gen lw_educa1=ln(w_educa1)
gen lw_educa2=ln(w_educa2)
gen lw_educa3=ln(w_educa3)
gen lw_educa4=ln(w_educa4)
gen lw_informal=ln(w_informal)
gen lw_formal=ln(w_formal)
gen lw_rural=ln(w_rural)
gen lw_urbano=ln(w_urbano)
gen lnd_rural=ln(nd_rural)
gen lnd_urbano=ln(nd_urbano)
gen lpop_edu1=ln(pop_edu1)
gen lpop_edu2=ln(pop_edu2)
gen lpop_edu3=ln(pop_edu3)
gen lpop_edu4=ln(pop_edu4)

/*gera dummies */
gen d80=0
replace d80=1 if ano<1990
gen d90=0
replace d90=1 if ano>1989&ano<2000
gen d00=0
replace d00=1 if ano>1999
tab ano, gen(td)
gen ano2=ano*ano
gen ano3=ano*ano*ano
tab uf, gen(duf)
/*ajuste das dummies para somar 1*/
ren id6_edu1 id6_edu1b
gen id6_edu1=1-(id2_edu1+ id3_edu1+ id4_edu1 +id5_edu1)
ren id6_edu2 id6_edu2b
gen id6_edu2=1-(id2_edu2+ id3_edu2+ id4_edu2 +id5_edu2)
ren id6_edu3 id6_edu3b
gen id6_edu3=1-(id2_edu3+ id3_edu3+ id4_edu3 +id5_edu3)
ren id6_edu4 id6_edu4b
gen id6_edu4=1-(id2_edu4+ id3_edu4+ id4_edu4 +id5_edu4)
ren id2j id2jb
gen id2j=1-(id1j)
ren id6h id6hb
gen id6h=1-(id2h+ id3h+ id4h +id5h)
ren id6m id6mb
gen id6m=1-(id2m+ id3m+ id4m +id5m)
ren edu4m edu4mb
gen edu4m=1-(edu1m+edu2m+edu3m)
ren edu4h edu4hb
gen edu4h=1-(edu1h+edu2h+edu3h)
ren edu4j edu4jb
gen edu4j=1-(edu1j+edu2j+edu3j)
 
/*variao do PIB e do emprego*/
format ntot %20.2g
format npib %20.2g
so ano
tabstat ntot npib, stat(mean) by (ano) format (%12.0f)
/*dados para 2005*/
*sum lnsm_geral cri1 cri2 cri3 lw_mulher lpop_m id2m id3m id4m id5m edu2m edu3m edu4m bco_m if ano==2005 [fw=pop_m]
*sum lnsh_geral cri1 cri2 cri3 lw_homem lpop_h id2h id3h id4h id5h edu2h edu3h edu4h bco_h if ano==2005 [fw=pop_h]
*sum lnsj_geral lw_jovem lpop_j id1j edu2j edu3j edu4j bco_j if ano==2005 [fw=pop_j]
gen t=1 if ano==1985
replace t=2 if ano==1986
replace t=3 if ano==1987
replace t=4 if ano==1988
replace t=5 if ano==1989
replace t=6 if ano==1990
replace t=7 if ano==1991
replace t=8 if ano==1992
replace t=9 if ano==1993
replace t=10 if ano==1994
replace t=11 if ano==1995
replace t=12 if ano==1996
replace t=13 if ano==1997
replace t=14 if ano==1998
replace t=15 if ano==1999
replace t=16 if ano==2000
replace t=17 if ano==2001
replace t=18 if ano==2002
replace t=19 if ano==2003
replace t=20 if ano==2004
replace t=21 if ano==2005
gen t2=t*t
gen t3=t*t*t

*dados em painel - anlise descritiva
so uf ano
l uf ano pib_total nd_informal in 1/50
*painel est no formato long, j adequado para estimar os modelos
*vamos definir a unidade de individuo e de tempo no painel
xtset uf ano
*descrio da base de dados
xtdescribe
xtsum
xttab duf18
*graficos
graph twoway (scatter lnd_geral lpib_total) (qfit lnd_geral lpib_total), title (variao total: demanda por trabalho x pib)

*grafico da variao dentro do grupo
preserve
*calcula desvio em relao a media do grupo
xtdata, fe
graph twoway (scatter lnd_geral lpib_total) (qfit lnd_geral lpib_total), title (variao within: demanda por trabalho x pib)
restore
/*regresses*/
reg lnd_geral lpib_total lw_geral
estimates store pooled1
reg lnd_geral lpib_total lw_geral, vce (cluster uf)

*autocorrelao de primeira ordem em 1 varivel
sort uf ano
correlate lnd_geral L.lnd_geral

*autocorrelao para todos os lags
qui reg lnd_geral lpib_total lw_geral, vce (cluster uf)
predict uhat, residuals
forvalues j= 1/11 {
	qui corr uhat L`j'.uhat
	display "autocorrelacao no lag `j' = " %6.3f r(rho)
	} 

*autocorrelao de 1a ordem para diferentes lags
forvalues s= 2/11 {	
	qui corr uhat L1.uhat if t==`s'
	display "Autocorrelao de 1a ordem no ano `s' = "  %6.3f r(rho)
	}




/*efeitos fixos*/
xtreg lnd_geral lpib_total lw_geral td4-td20 if ano<2005, fe vce (cluster uf)
xtreg lnd_geral lpib_total lw_geral if ano<2005, fe vce (cluster uf)
areg lnd_geral lpib_total lw_geral if ano<2005, absorb(uf) vce (cluster uf)
reg lnd_geral lpib_total lw_geral i.uf if ano<2005 , vce (cluster uf)
estimates table, keep (lpib_total lw_geral _cons) b se b(%12.7f)
estimates estore FE_ROB
reg lnd_geral lpib_total lw_geral i.uf if ano<2005
estimates store FE

/*between groups*/
xtreg lnd_geral lpib_total lw_geral if ano<2005, be vce (cluster uf)
estimates store BE_ROB
xtreg lnd_geral lpib_total lw_geral if ano<2005, be
estimates store BE

/*efeitos aleatorios*/
xtreg lnd_geral lpib_total lw_geral if ano<2005, re vce (cluster uf) theta
estimates store RE_ROB
xtreg lnd_geral lpib_total lw_geral if ano<2005, re vce theta
estimates store RE

/* teste de hausman assumindo que RE  eficiente sob nula*/

hausman FE RE, sigmamore

/* teste de Hausmann robusto. quano erros no so iid, quano ep robusto e padro so muito diferentes*/


xtabond lnd_geral td4-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_geral, lagstruct(0,2) endogenous ) artests(2)
xtabond lnd_geral td4-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_geral, lagstruct(0,2) endogenous ) artests(2)
/*1985-1998*/
xtabond lnd_geral td2-td6 if ano>1984&ano<1999, lags(1) maxldep(2)  pre(lpib_total lw_geral, lagstruct(0,2) endogenous ) 
/*1999-2004*/
xtabond lnd_geral td16-td20 if ano>=1999, lags(1) maxldep(2)  pre( lpib_total lw_geral, lagstruct(0,2) endogenous )  artests(2)

	/*equao de oferta*/
/*mulher + 24 anos*/
xtreg lnsm_geral cri1 cri2 cri3 lpop_m id2m id3m id4m id5m edu2m edu3m edu4m bco_m t t2 if ano>1985&ano<2006, fe
predict lm, xb
gen elm=exp(lm)
egen telm=sum(elm), by(ano)
egen tnsm=sum(nsm), by(ano)
egen tnsh=sum(nsh), by(ano)
egen tnsj=sum(nsj), by(ano)

so uf ano
*qui by uf :replace tnsm=(tnsm[_n+1]+tnsm[_n-1])/2 if ano==1996
*qui by uf :replace tnsh=(tnsh[_n+1]+tnsh[_n-1])/2 if ano==1996
*qui by uf :replace tnsj=(tnsj[_n+1]+tnsj[_n-1])/2 if ano==1996

qui by uf :gen dtnsm=(tnsm-tnsm[_n-1])/tnsm[_n-1] if tnsm[_n-1]~=.
qui by uf :gen dtnsh=(tnsh-tnsh[_n-1])/tnsh[_n-1] if tnsh[_n-1]~=.
qui by uf :gen dtnsj=(tnsj-tnsj[_n-1])/tnsj[_n-1] if tnsj[_n-1]~=.

egen mdtnsm=mean(dtnsm) if ano>1990, by(uf)
egen mdtnsh=mean(dtnsh) if ano>1990, by(uf)
egen mdtnsj=mean(dtnsj) if ano>1990, by(uf)

egen tpopm=sum(pop_m), by(ano)
egen tpoph=sum(pop_h), by(ano)
egen tpopj=sum(pop_j), by(ano)

qui by uf :gen dpopm=(tpopm-tpopm[_n-1])/tpopm[_n-1] if tpopm[_n-1]~=.
qui by uf :gen dpoph=(tpoph-tpoph[_n-1])/tpoph[_n-1] if tpoph[_n-1]~=.
qui by uf :gen dpopj=(tpopj-tpopj[_n-1])/tpopj[_n-1] if tpopj[_n-1]~=.

gen dtnshl=dtnsh-dpoph
gen dtnsml=dtnsm-dpopm
gen dtnsjl=dtnsj-dpopj

l ano dtnsh dpoph dtnsj dpopj dtnsm in 1/21
l ano dtnshl dtnsjl dtnsml in 1/21

*line dtnsm dpopm ano, sort
*line dtnsh dpoph ano, sort
*line dtnsj dpopj ano, sort

format telm %15.0f
format tnsm %15.0f
format tnsj %15.0f

cap log close
log using "c:\meus documentos\projetos\cepal\cepal-rev-final.log", replace

/* mulher */
xtreg lnsm_geral cri1 cri2 cri3 lpop_m id2m id3m id4m id5m edu2m edu3m edu4m bco_m t t2 t3 if ano>1985&ano<2006, fe
/*homem + 24 anos*/
xtreg lnsh_geral cri1 cri2 cri3 lpop_h id2h id3h id4h id5h edu2h edu3h edu4h bco_h t t2 t3 if ano>1985&ano<2006, fe
/*jovens - 15-24 anos*/
xtreg lnsj_geral lpop_j id1j edu2j edu3j edu4j bco_j t t2 t3 if ano>1985&ano<2006, fe

/*demanda geral*/
/*equao de demanda*/
/*GMM */
/*1985-2004*/
xtabond lnd_geral td4-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_geral, lagstruct(0,2) endogenous ) artests(2)
/*1985-1998*/
xtabond lnd_geral td2-td6 if ano>1984&ano<1999, lags(1) maxldep(2)  pre(lpib_total lw_geral, lagstruct(0,2) endogenous ) 
/*1999-2004*/
xtabond lnd_geral td16-td20 if ano>=1999, lags(1) maxldep(2)  pre( lpib_total lw_geral, lagstruct(0,2) endogenous )  artests(2)
stop

cap log close

stop
/*demanda  para diferentes grupos*/

/*homem, mulher e jovem*/
xtabond lnd_mulher td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_mulher, lagstruct(0,2) endogenous ) 
xtabond lnd_homem td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_homem, lagstruct(0,2) endogenous ) 
xtabond lnd_jovem td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_jovem, lagstruct(0,2) endogenous ) 
/*formal e informal*/
xtabond lnd_informal td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_informal, lagstruct(0,2) endogenous )  
xtabond lnd_formal td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_formal, lagstruct(0,2) endogenous )  
/*setor de atividade */
xtabond lnd_agro td3-td19 if ano<2004, lags(1) maxldep(2) pre(lpib_agro lw_agro, lagstruct(0,2) endogenous )  
xtabond lnd_ind td3-td19 if ano<2004, lags(1) maxldep(2)  pre(lpib_ind lw_ind, lagstruct(0,2) endogenous )  
xtabond lnd_serv td3-td19 if ano<2004, lags(1) maxldep(2)  pre(lpib_serv lw_serv, lagstruct(0,2) endogenous )   
/* rural e urbano */
xtabond lnd_rural td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_rural, lagstruct(0,2) endogenous )  
xtabond lnd_urbano td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_urbano, lagstruct(0,2) endogenous )  

/*oferta e demanda por grupos de educao */

/*demanda*/
xtabond lnd_educa1 td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_educa1, lagstruct(0,2) endogenous )  
xtabond lnd_educa2 td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_educa2, lagstruct(0,2) endogenous )  
xtabond lnd_educa3 td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_educa3, lagstruct(0,2) endogenous )  
xtabond lnd_educa4 td3-td20 if ano<2005, lags(1) maxldep(2)  pre(lpib_total lw_educa4, lagstruct(0,2) endogenous )  

/* oferta*/

xtreg lns_edu1 cri1 cri2 cri3 lpop_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 mulher_edu1 bco_edu1 t  if ano>1985&ano<2006, fe

xtreg lns_edu2 cri1 cri2 cri3 lpop_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 mulher_edu2 bco_edu2 t  if ano>1985&ano<2006, fe

xtreg lns_edu3 cri1 cri2 cri3 lpop_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 mulher_edu3 bco_edu3 t  if ano>1985&ano<2006, fe

xtreg lns_edu4 cri1 cri2 cri3 lpop_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 mulher_edu4 bco_edu4 t  if ano>1985&ano<2006, fe

*tests
*xtabond lnsm_geral  if ano>1985&ano<2006, lags(1) maxldep(2)  pre(lw_mulher, lagstruct(0,2) endogenous ) diffvars(cri1 cri2 cri3 lpop_m id2m id3m id4m id5m edu2m edu3m edu4m bco_m t t2)
stop
